> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateAdminUser

> The `updateAdminUser` API is used to update the details of the admin user added during onboarding.

### What it does:

- Updates the admin Business User account
- Complete the record for the businessUser that is created when calling the `companyRegistration` endpoint 

### Note:

- For beneficialOwners we are required to collect address and personal information
- Required fields for **beneficial owners**: ssn, address1, city, state, zipcode, dateOfBirth,

- A list of businessUsers registered to the company and their associated businessUserIds can be retrieved using `getBusinessUsers`
- Beneficial Owner share cannot be reduced below 25% to maintain compliance



## OpenAPI

````yaml put /companyOnboarding/updateAdminUser
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/updateAdminUser:
    put:
      tags: []
      summary: updateAdminUser
      description: >-
        The `updateAdminUser` API is used to update the details of the admin
        user added during onboarding.


        ### What it does:


        - Updates the admin Business User account

        - Complete the record for the businessUser that is created when calling
        the `companyRegistration` endpoint 


        ### Note:


        - For beneficialOwners we are required to collect address and personal
        information

        - Required fields for **beneficial owners**: ssn, address1, city, state,
        zipcode, dateOfBirth,


        - A list of businessUsers registered to the company and their associated
        businessUserIds can be retrieved using `getBusinessUsers`

        - Beneficial Owner share cannot be reduced below 25% to maintain
        compliance
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateAdminUser
                  example: updateAdminUser
                businessUser:
                  type: object
                  properties:
                    businessUserId:
                      type: string
                    firstName:
                      type: string
                      maxLength: 40
                    middleName:
                      type: string
                      maxLength: 40
                    lastName:
                      type: string
                      maxLength: 40
                    phoneNumber:
                      type: string
                      title: Must be 10 Digits
                      example: '9874563210'
                    email:
                      type: string
                      maxLength: 35
                    dateOfBirth:
                      type: string
                      example: YYYY-MM-DD
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be Five or Nine Digits
                    ssn:
                      type: string
                      example: 987-65-1243
                    payrollAdmin:
                      type: boolean
                    bookKeeper:
                      type: boolean
                    beneficialOwner:
                      type: boolean
                    ownershipPercentage:
                      type: number
                      title: 'Must be specified for Beneficial Owner '
                  required:
                    - businessUserId
                  x--orders:
                    - businessUserId
                    - firstName
                    - lastName
                    - phoneNumber
                    - email
                    - address1
                    - city
                    - state
                    - zipcode
                    - country
                    - isPayrollAdmin
                    - isController
                    - isBeneficialOwner
                    - isEmployee
                    - middleName
                    - address2
                    - ssn
              required:
                - method
                - businessUser
              x--orders:
                - method
                - businessUser
            example:
              method: updateAdminUser
              businessUser:
                businessUserId: EDC3BD9C-3B2F-4EE3-BC5C-720768044
                firstName: Titus
                middleName: ''
                lastName: Davenport
                phoneNumber: '2106384100'
                email: titus048@mailsac.com
                address1: 102 Fallsgrove Blvd
                address2: ''
                city: Rockville
                state: MD
                zipcode: '20850'
                ssn: '452006520'
                dateOfBirth: '2000-09-09'
                payrollAdmin: true
                bookkeeper: true
                beneficialOwner: true
                ownershipPercentage: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  businessUser:
                    type: object
                    properties:
                      businessUserId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - businessUserId
                      - status
                    x--orders:
                      - businessUserId
                      - status
                      - message
                required:
                  - businessUser
                x--orders:
                  - businessUser
              examples:
                '1':
                  summary: Success
                  value:
                    businessUser:
                      businessUserId: 3819B535-F3AA-4E5E-A055-16D33CE68315
                      status: Ready
                      message: The Business User has been updated successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: First Name should not exceed 40 characters.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````